#include <iostream>

using namespace std;

int main()
{
    int T,i,j,c,d,h;
    cin>>T;
    int n[T];
    int m[T];
    int k[T];
    for(i=0;i<T;i++)
    {
        cin>>n[i];
        cin>>m[i];
        cin>>k[i];
    }
    for(i=0;i<T;i++)
    {
        c=n[i]/k[i];
        d=n[i]%k[i];
        j=1;
        for(h=0;h<n[i]-1;h++)
        {
            c=c+j;
            j++;
        }
        if(c<m[i])
        cout<<"Tak"<<endl;
        else
            cout<<"Nie"<<endl;
    }
    return 0;
}